<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>
<body>
	
</body>
<script type="text/javascript">
	let hora=0;
	let minutos=0;
	let segundos=0;


var horas = Hora.getHours();
var minutos = getMinutes();
var segundos = getSeconds();

if(horas < 10) { horas = '0' + horas; }
if(minutos < 10) { minutos = '0' + minutos; }
if(segundos < 10) { segundos = '0' + segundos; }



<div id="reloj" />
Ahora el reloj muestra correctamente la hora:

20:14:03
Si se quiere mostrar el reloj con un formato de 12 horas en vez de 24, se puede utilizar el siguiente código:

var fechaHora = new Date();
var horas = fechaHora.getHours();
var minutos = fechaHora.getMinutes();
var segundos = fechaHora.getSeconds();

var sufijo = ' am';
if(horas > 12) {
  horas = horas - 12;
  sufijo = ' pm';
}

if(horas < 10) { horas = '0' + horas; }
if(minutos < 10) { minutos = '0' + minutos; }
if(segundos < 10) { segundos = '0' + segundos; }

document.getElementById("reloj").innerHTML = horas+':'+minutos+':'+segundos+sufijo;

<div id="reloj" />

 
Utilizando el código anterior, el reloj ya no muestra la hora como 20:14:03, sino que la muestra en formato de 12 horas y con el sufijo adecuado:

08:14:03 pm
var fechaHora = new Date();
Utilizando el código anterior, se puede construir un reloj muy básico que no actualiza su contenido:

var fechaHora = new Date();
document.getElementById("reloj").innerHTML = fechaHora;

<div id="reloj" />

</script>
</html>